use chrono::prelude::*;

use crate::block::Block;

pub struct Date {
    pub format: String,
}

impl Block for Date {
    fn display(&self) -> String {
        Local::now().format(self.format.as_str()).to_string()
    }
}
