use pulsectl::controllers::DeviceControl;
use pulsectl::controllers::SinkController;

use crate::block::Block;

pub struct Volume {}

impl Block for Volume {
    fn display(&self) -> String {
        let mut handler = SinkController::create().unwrap();

        handler
            .get_default_device()
            .expect("No device")
            .volume
            .min()
            .to_string()
    }
}
